PULSEVIEW(1)

NAME
PulseView - Qt-based LA/scope/MSO GUI for sigrok

SYNOPSIS
pulseview [OPTIONS] [FILE]

DESCRIPTION
PulseView is a cross-platform Qt-based GUI for the sigrok software suite for test and measurement equipment such as logic analyzers, oscilloscopes, MSOs, and more.

OPTIONS
PulseView has very few command line options, as most configuration elements are available from the GUI itself.

If the optional FILE argument is supplied, PulseView tries to open the specified file. It has to be in the "libsigrok session" format (.sr) unless -I is used to specify the input file format.

-l, --loglevel
    Set the libsigrok and libsigrokdecode loglevel. At the moment PulseView doesn't support setting the two loglevels independently. The higher the number, the more debug output will be printed. Valid loglevels are:

    0 None
    1 Error
    2 Warnings
    3 Informational
    4 Debug
    5 Spew

-h, -?, --help
    Show a help text and exit.

-V, --version
    Show version information and exit.

-d, --driver <drivername>
    Specify the capture device to connect to. If the --driver option is not supplied, PulseView attempts to re-connect to the most recently used device, or auto-detect available devices.

-D, --dont-scan
    Usually PulseView automatically scans all drivers to find suitable devices during program startup. This option disables the auto-scan. Users can either specify the --driver option to pick a device at startup, or interactively scan for devices after PulseView has finished starting up.

-i, --input-file <filename>
    Load input from a file. If the --input-format option is not supplied, PulseView attempts to load the file as a sigrok session file.

-I, --input-format <format>
    Specifies the format of the input file to be loaded.

-c, --clean
    Prevents the previously used sessions to be restored from settings storage. This is useful if you want only a single session with the file given on the command line instead of restoring all previously used sessions as well.

KEYBOARD SHORTCUTS

f   Zoom-to-fit.

o   Zoom 1:1.

s   Enable / disable sticky scrolling. When enabled, the right edge of the screen always shows the most recently captured data.

.   Show / hide sampling points.

g   Show / hide analog minor grid (in addition to the vdiv grid).

c   Show / hide cursors.

b   Toggle between coloured trace backgrounds and alternating light/dark gray trace backgrounds.

SPACE
    Start / stop an acquisition.

Arrow keys
    Scroll up/down/left/right.

CTRL+o
    Open file.

CTRL+s
    Save as...

CTRL+r
    Save selected range as...

CTRL+g
    Group all currently selected traces into a trace group.

CTRL+u
    Ungroup the traces in the currently selected trace group.

CTRL++
    Zoom in.

CTRL+-
    Zoom out.

CTRL+q
    Quit, i.e. shutdown PulseView (closing all session tabs).

CTRL+w
    Close the current session tab.

EXIT STATUS
PulseView exits with 0 on success, 1 on most failures.

SEE ALSO
sigrok-cli(1)

BUGS
Please report any bugs via Bugzilla (http://sigrok.org/bugzilla) or on the sigrok-devel mailing list (sigrok-devel@lists.souceforge.net).

LICENSE
PulseView is covered by the GNU General Public License (GPL), version 3 or later.

AUTHORS
Please see the individual source code files.

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>. It is licensed under the terms of the GNU GPL (version 2 or later).